# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CatmullRomInterpolatorFloat Class Reference

Interpolates `float` values using a CatmullRomInterpolator. More...

`#include <CatmullRomInterpolator.hpp>`

Inheritance diagram for vl::CatmullRomInterpolatorFloat:

List of all members.

## Public Member Functions
| CatmullRomInterpolatorFloat ()
| CatmullRomInterpolatorFloat (const std::vector< float > &path)
float | computePoint (float t) const
| Samples the interpolator at the given point.
CatmullRomInterpolatorFloat_T * | interpolator ()
const CatmullRomInterpolatorFloat_T * | interpolator () const
void | setInterpolator (CatmullRomInterpolatorFloat_T *interpolator)
## Protected Attributes
vl::ref < CatmullRomInterpolatorFloat_T > | mInterpolator

## Detailed Description

Interpolates `float` values using a CatmullRomInterpolator.

## Constructor & Destructor Documentation

vl::CatmullRomInterpolatorFloat::CatmullRomInterpolatorFloat | ( |  | ) | `[inline]`

vl::CatmullRomInterpolatorFloat::CatmullRomInterpolatorFloat | ( | const std::vector< float > & | path | ) | `[inline]`

## Member Function Documentation

float vl::CatmullRomInterpolatorFloat::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFloat.

CatmullRomInterpolatorFloat_T* vl::CatmullRomInterpolatorFloat::interpolator | ( |  | ) | `[inline]`

const CatmullRomInterpolatorFloat_T* vl::CatmullRomInterpolatorFloat::interpolator | ( |  | ) | const`[inline]`

void vl::CatmullRomInterpolatorFloat::setInterpolator | ( | CatmullRomInterpolatorFloat_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<CatmullRomInterpolatorFloat_T> vl::CatmullRomInterpolatorFloat::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CatmullRomInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:56 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.